---
updatedAt: 2025-11-11T22:57:46.000Z
agentTools:
  projectIndex: https://docs.ipdata.co/llms.txt
---

# Filtering Response Fields

You can choose to request only a single field to be returned in the API response or to get multiple fields pass a "fields" query parameter with the names of the specific fields you need.

# Selecting Multiple Fields

Looking up the location and mobile carrier information associated with an IP Address

```curl
curl 'https://api.ipdata.co/69.78.70.144?api-key=<<apiKey>>&fields=ip,city,region,country_name,continent_name,carrier'
```

# Sample Response

```json
{
    "ip": "69.78.70.144",
    "city": "Farmersville",
    "region": "Texas",
    "country_name": "United States",
    "continent_name": "North America",
    "carrier": {
        "name": "Verizon",
        "mcc": "310",
        "mnc": "004"
    }
}
```

# Selecting a Single Field

Looking up the calling IP's country name

```curl
curl https://api.ipdata.co/country_name?api-key=<<apiKey>>
```

Looking up a specific IP's country name

```curl
curl https://api.ipdata.co/3.3.3.3/country_name?api-key=<<apiKey>>
```

Sample Response

```
United States
```

The available fields are;

* ip
* is\_eu
* city
* region
* region\_code
* country\_name
* country\_code
* continent\_name
* continent\_code
* latitude
* longitude
* asn
* company
* postal
* calling\_code
* flag
* emoji\_flag
* emoji\_unicode
* carrier
* languages
* currency
* time\_zone
* threat
* count

For a description of every field see Our Data Table.